WEECHAT-HEADLESS(1)

NAME
weechat-headless - der erweiterbare Chat Client (headless version)

SYNOPSIS

weechat-headless [-a|--no-connect] [--daemon] [--stdout] [-d|--dir <path>] [-t|--temp-dir] [-p|--no-plugin] [-P|--plugins <plugins>] [-r|--run-command <command>] [-s|--no-script] [--upgrade] [debug-option...] [plugin:option...]
weechat-headless [-c|--colors]
weechat-headless [-h|--help]
weechat-headless [-l|--license]
weechat-headless [-v|--version]

BESCHREIBUNG

WeeChat (Wee Enhanced Environment for Chat) ist ein freier, schneller und schlanker Chat-Client der für unterschiedliche Betriebssysteme entwickelt wird. Durch Skripten ist das Hauptprogramm äußerst flexibel und erweiterbar.

Mit dem Befehl weechat-headless kann man WeeChat ohne Benutzeroberfläche ausführen. Dies kann zu Testzwecken oder dazu genutzt werden um WeeChat in einem Deamon-Modus zu starten. Dazu nutzt man die Option "--daemon".

OPTIONEN

-a, --no-connect
    deaktiviert das automatische Verbinden mit den Servern beim Start von WeeChat.

-c, --colors
    zeigt die Standardfarben im Terminal an.

--daemon
    startet WeeChat im Hintergrund, als Deamon (funktioniert nur mit dem Befehl weechat-headless).

--stdout
    die Programmausgabe findet in der Standardausgabe an, anstatt sie in die Protokolldatei zu schreiben Display log messages on standard output instead of writing them in log file (funktioniert ausschließlich mit weechat-headless und ist nicht kompatibel mit Option "--daemon").

-d, --dir <path>
    Erzwingen Sie ein einzelnes Verzeichnis für alle WeeChat-Dateien (Verzeichnis wird erstellt, wenn es nicht gefunden wird). Es können vier Verzeichnisse angegeben werden, die durch Doppelpunkte getrennt sind (folgende Reihenfolge: Konfiguration, Daten, Cache, Laufzeit). Wird diese Option nicht genutzt, wird die Umgebungsvariable WEECHAT_HOME genutzt (sofern diese vorhanden ist).

-t, --temp-dir
    Erstellt ein temporäres WeeChat Heimatverzeichnis welches beim Beenden gelöscht wird (nicht nutzbar mit Option "-d").
    Der Name des Verzeichnisses wird automatisch durch WeeChat vergeben, die Vorgabe für den Namen lautet: "weechat_temp_XXXXXX" ("XXXXXX" ist dabei ein zufälliger Wert). Dieses Verzeichnis wird dann im ersten möglichen Verzeichnis angelegt und anhand folgender Reihenfolge bestimmt: Umgebungsvariable "TMPDIR", "/tmp" (kann abweichend sein, abhängig vom verwendeten Betriebssystem), Umgebungsvariable "HOME", aktuelles Verzeichnis.
    Das temporäre Heimatverzeichnis besitzt die Berichtigung 0700 (nur Besitzer kann lesen, schreiben und ausführen).

-h, --help
    zeigt einen Hilfstext an.

-i, --build-info
    Build-Informationen anzeigen und beenden.

-l, --license
    zeigt die Lizenz von WeeChat an.

-p, --no-plugin
    unterbindet das Laden der Erweiterungen beim Programmstart.

-P, --plugins <plugins>
    lädt nur die angegebenen Erweiterungen, beim Start (siehe /help weechat.plugin.autoload). Wenn diese Option genutzt wird, dann wird die Option weechat.plugin.autoload ignoriert.

-r, --run-command <command>
    führt einen oder mehrere Befehle nach dem Start aus; mehrere Befehle können durch ein Semikolon getrennt werden, diese Option kann mehrfach genutzt werden.

-s, --no-script
    Skripten werden beim Programmstart nicht geladen.

--upgrade
    führt ein WeeChat Upgrade mit Sitzungsdateien durch, die mittels dem Befehl /upgrade -quit erstellt wurden.

-v, --version
    zeigt die Version von WeeChat an.

plugin:option
    Option für Erweiterung.

DEBUG-OPTIONEN

WARNUNG: Diese Optionen sind lediglich für Debug-Zwecke DIESE FUNKTIONEN SOLLTE NICHT IM PRODUKTIVEM EINSATZ GENUTZT WERDEN!

--no-dlclose
    die Funktion dlclose wird nicht ausgeführt, nachdem Erweiterungen beendet wurden Dies ist sinnvoll für Tools wie Valgrind um den Stack für Erweiterungen anzuzeigen, welche beendet wurden.

--no-gnutls
    Es wird die init und deinit Funktion der GnuTLS Bibliothek nicht verwendet. Dies ist sinnvoll für Tools wie Valgrind und electric-fence, um GnuTLS Speicherfehler zu vermeiden.

--no-gcrypt
    Es wird die init und deinit Funktion der Gcrypt Bibliothek nicht verwendet. Dies ist sinnvoll für Tools wie Valgrind um Speicherfehler von Gcrypt zu vermeiden.

OPTIONEN VON ERWEITERUNGEN

Um eine vollständige Dokumentation der Optionen zu erhalten, siehe

Mit der IRC-Erweiterung können Sie sich mit einer URL wie der folgenden mit einem Server verbinden:

    irc[6][s]://[[nickname][:password]@]server[:port][/#channel1[,#channel2...]]

Um dem WeeChat IRC Support-Channel, mit dem Nick "mynick", beizutreten:

    irc://mynick@irc.libera.chat/#weechat

Um eine IPv6 Adresse zu nutzen, muss diese in eckige Klammern gesetzt werden:

    irc://mynick@[2001:db8:0:85a3::ac1f:8001]:6668/#test

DATEIEN

$HOME/.config/weechat/weechat.conf
    WeeChats Konfigurationsdatei

$HOME/.config/weechat/plugins.conf
    Konfigurationsdatei für Erweiterungen

$HOME/.config/weechat/sec.conf
    Konfigurationsdatei mit schutzwürdigen Daten

$HOME/.config/weechat/alias.conf
    Konfigurationsdatei für alias Erweiterung

$HOME/.config/weechat/buflist.conf
    Konfigurationsdatei für buflist Erweiterung

$HOME/.config/weechat/charset.conf
    Konfigurationsdatei für charset Erweiterung

$HOME/.config/weechat/exec.conf
    Konfigurationsdatei für exec Erweiterung

$HOME/.config/weechat/fifo.conf
    Konfigurationsdatei für fifo Erweiterung

$HOME/.config/weechat/fset.conf
    Konfigurationsdatei für fset Erweiterung

$HOME/.config/weechat/guile.conf
    Konfigurationsdatei für guile Erweiterung

$HOME/.config/weechat/irc.conf
    Konfigurationsdatei für irc Erweiterung

$HOME/.config/weechat/javascript.conf
    Konfigurationsdatei für javascript Erweiterung

$HOME/.config/weechat/logger.conf
    Konfigurationsdatei für logger Erweiterung

$HOME/.config/weechat/lua.conf
    Konfigurationsdatei für lua Erweiterung

$HOME/.config/weechat/perl.conf
    Konfigurationsdatei für perl Erweiterung

$HOME/.config/weechat/php.conf
    Konfigurationsdatei für php Erweiterung

$HOME/.config/weechat/python.conf
    Konfigurationsdatei für python Erweiterung

$HOME/.config/weechat/relay.conf
    Konfigurationsdatei für relay Erweiterung

$HOME/.config/weechat/ruby.conf
    Konfigurationsdatei für ruby Erweiterung

$HOME/.config/weechat/script.conf
    Konfigurationsdatei für script Erweiterung

$HOME/.config/weechat/spell.conf
    Konfigurationsdatei für spell Erweiterung

$HOME/.config/weechat/tcl.conf
    Konfigurationsdatei für tcl Erweiterung

$HOME/.config/weechat/trigger.conf
    Konfigurationsdatei für trigger Erweiterung

$HOME/.config/weechat/typing.conf
    Konfigurationsdatei für typing Erweiterung

$HOME/.config/weechat/xfer.conf
    Konfigurationsdatei für xfer Erweiterung

$HOME/.local/share/weechat/weechat.log
    WeeChat Protokolldatei

SIEHE AUCH

weechat(1)

AUTOREN

Diese manpage wurde von Sébastien Helleu geschrieben.

Übersetzt von Nils Görs.

COPYRIGHT

WeeChat wird programmiert von Sébastien Helleu und weiteren Beteiligten (eine vollständige Auflistung findet man in der AUTHORS.md Datei).

Copyright © 2003-2026 Sébastien Helleu

WeeChat is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

Please read the COPYING file for more information.

Web:

SUPPORT / FEHLER MELDEN

für Hilfe oder um einen Fehler zu melden:

AUTHOR

Sébastien Helleu